#!/bin/bash

# multilib aktivieren in /etc/pacman.conf
sudo sed -i.bak '/^#\[multilib\]/,+1 s/^#//' /etc/pacman.conf
#	Für Noobs wie mich
#	- erstellt Sicherheitskopie pacman.conf.bak vor der Änderung
#	- sucht nach "[multilib]"
#	- bezieht die nächste Zeile mit ein
#	- Ersetzt ^# mit nüscht -> Kommentar  entfernt :-)

sudo pacman -Syu

# Install yay
if pacman -Q yay &>/dev/null; then
    echo "yay bereits installiert; fahre fort."
elif pacman -Si yay &>/dev/null; then
    echo "Installiere yay mit pacman ..."
    sudo pacman -S --needed yay
else
    sudo pacman -S --needed base-devel git
    echo "installiere yay via git ..."
    git clone https://aur.archlinux.org/yay.git
    (
        cd yay || {
            echo "Fehler: CD in yay-Verzeichnis fehlgeschlagen";
            exit 1; 
        }
        makepkg -si
    )
    rm -rf yay
fi

sudo pacman -S --needed \
    fish \
    vim \
    nvim \
    openssh \
    rclone \
    rsync \
    unison \
    stow \
    nodejs \
    npm \
    starship \
    fastfetch \
    tree-sitter-cli \
    python \
    python-pip \
    extra/ttf-jetbrains-mono-nerd \
    unzip \
    ruff \
    python-ruff \
    chromium \
    selene \
    opencode \
    tmux \
    yazi \
    zoxide \
    fzf \
    locate \
	ttf-jetbrains-mono-nerd \
	ttf-font-awesome

# fish as standard terminal
chsh -s /usr/bin/fish

git clone https://github.com/jimeh/tmuxifier.git ~/.tmuxifier

npm install -g vscode-js-debug
npm install -g eslint_d
ya pkg add yazi-rs/plugins:git
sudo updatedb
